
QGIS Application - Bug report #14548

CRS of new spatial bookmarks does't match CRS of current project

2016-03-23 12:11 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22521

Description

Subject says it all, I suppose it's a bug.

History

#1 - 2016-03-23 08:17 AM - Maximilian Krambach

The code at qgsbookmarks.cpp:156 currently uses srsid(), which is the (correct) internal ID used by QGIS, but meaningless to the user. Expected

behavior is the display of a EPSG code. Thus, changing srsid() to authid() would be better.

#2 - 2016-03-23 10:26 AM - Maximilian Krambach

As usual, it's not as simple as changing just the value, several calculations depend on srid (all in the same file). I'd suggest adding an extra column,

"authid", which will contain the EPSG code.

#3 - 2016-03-28 02:53 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #14393

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

sb_crs.png 45.6 KB 2016-03-22 R. R.
https://github.com/qgis/QGIS/blob/c50033bbaa536f53b46e33fa11810c6802ed6a7f/src/app/qgsbookmarks.cpp#L156

